Subject: RE: Proxies and broken HTTP

From: Miles Sabin <[email-masked]>
Date: Fri, 10 Sep 1999 14:06:05 +0100

Scott Lawrence wrote,
> I think that the only sensible thing to do is to
> figure each case out as they arise; you've arrived at 
> a good solution for this one, and it sounds like you 
> have it right - the server side is stricter than the
> client side.

Agreed, but the problem here is that _my_ decision on
what the Right Thing to do isn't necessarily going to
be the same as everyone else's ... who knows, I might
even get it wrong ;-) Maybe it's not a big deal, but 
this does seem to open up a hole for interoperability 
problems to sneak through.

Granted this is probably moot (interoperability problems
of this sort pale into insignificance when measured
against all the broken UAs and servers out there), but
it'd be nice if there was an annex to RFC2616 which 
taped it down.

> I assume that you've not kept silent to the (nameless) 
> vendor for this obvious bug.

Indeed ... apparently fixed now.

Cheers,

Miles

-- 
Miles Sabin                          Cromwell Media
Internet Systems Architect           5/6 Glenthorne Mews
+44 (0)181 410 2230                  London, W6 0LJ
[email-masked]           England